<?php

/**
 * @desc Disable/Enable error reporting
 * Use 'E_ALL' for all errors, '0' for nothing (without quotes)
 */
error_reporting(E_ALL);

#date_default_timezone_set ('Europe/Kiev');
date_default_timezone_set ('UTC');

$PLUGIN_NAME = 'mobilemedia';
$PLUGINS = '/flashdata/plugins/' . $PLUGIN_NAME;
$PLUGINS_DATA = '/flashdata/plugins_data/' . $PLUGIN_NAME;

function get_ip ()
{
    if (isset ($_SERVER['HTTP_X_REAL_IP']))
        return $_SERVER['HTTP_X_REAL_IP'];
    return $_SERVER['REMOTE_ADDR'];
}

/* main () {{{*/

if (empty ($_ENV['PATH_INFO']))
{
    header ('Content-type: text/plain; charset=utf-8');
    printf ("please enter: php script name\n");
    printf ('example: http://' . get_ip () . $_ENV['SCRIPT_NAME'] . '/*.php?arg1=val1&arg2=val2&argn=valn\n');
    echo '[PATH_INFO] => ' . $_ENV['PATH_INFO'] . "\n";
    echo '[QUERY_STRING] => ' . $_ENV['QUERY_STRING'] . "\n";
    exit(1);
}

$php_file = $PLUGINS . '/www/cgi-bin' . $_ENV['PATH_INFO'];

if (!file_exists ($php_file))
{
    header ('Content-type: text/plain; charset=utf-8');
    printf ("File '".$_ENV['PATH_INFO']."' does not exist\n");
    exit(1);
}

return require_once $php_file;
